;;; X11 color names converted to Snd colors

(provide 'snd-rgb.scm)

(define *rgb*
  (let ((snow (make-color 1.00 0.98 0.98))
	(ghost-white (make-color 0.97 0.97 1.00))
	(white-smoke (make-color 0.96 0.96 0.96))
	(gainsboro (make-color 0.86 0.86 0.86))
	(floral-white (make-color 1.00 0.98 0.94))
	(old-lace (make-color 0.99 0.96 0.90))
	(linen (make-color 0.98 0.94 0.90))
	(antique-white (make-color 0.98 0.92 0.84))
	(papaya-whip (make-color 1.00 0.93 0.83))
	(blanched-almond (make-color 1.00 0.92 0.80))
	(bisque (make-color 1.00 0.89 0.77))
	(peach-puff (make-color 1.00 0.85 0.72))
	(navajo-white (make-color 1.00 0.87 0.68))
	(moccasin (make-color 1.00 0.89 0.71))
	(cornsilk (make-color 1.00 0.97 0.86))
	(ivory (make-color 1.00 1.00 0.94))
	(lemon-chiffon (make-color 1.00 0.98 0.80))
	(seashell (make-color 1.00 0.96 0.93))
	(honeydew (make-color 0.94 1.00 0.94))
	(mint-cream (make-color 0.96 1.00 0.98))
	(azure (make-color 0.94 1.00 1.00))
	(alice-blue (make-color 0.94 0.97 1.00))
	(lavender (make-color 0.90 0.90 0.98))
	(lavender-blush (make-color 1.00 0.94 0.96))
	(misty-rose (make-color 1.00 0.89 0.88))
	(white (make-color 1.00 1.00 1.00))
	(black (make-color 0.00 0.00 0.00))
	(dark-slate-gray (make-color 0.18 0.31 0.31))
	(dark-slate-grey (make-color 0.18 0.31 0.31))
	(dim-gray (make-color 0.41 0.41 0.41))
	(dim-grey (make-color 0.41 0.41 0.41))
	(slate-gray (make-color 0.44 0.50 0.56))
	(slate-grey (make-color 0.44 0.50 0.56))
	(light-slate-gray (make-color 0.46 0.53 0.60))
	(light-slate-grey (make-color 0.46 0.53 0.60))
	(gray (make-color 0.74 0.74 0.74))
	(grey (make-color 0.74 0.74 0.74))
	(light-grey (make-color 0.82 0.82 0.82))
	(light-gray (make-color 0.82 0.82 0.82))
	(midnight-blue (make-color 0.10 0.10 0.44))
	(navy (make-color 0.00 0.00 0.50))
	(navy-blue (make-color 0.00 0.00 0.50))
	(cornflower-blue (make-color 0.39 0.58 0.93))
	(dark-slate-blue (make-color 0.28 0.24 0.54))
	(slate-blue (make-color 0.41 0.35 0.80))
	(medium-slate-blue (make-color 0.48 0.41 0.93))
	(light-slate-blue (make-color 0.52 0.44 1.00))
	(medium-blue (make-color 0.00 0.00 0.80))
	(royal-blue (make-color 0.25 0.41 0.88))
	(blue (make-color 0.00 0.00 1.00))
	(dodger-blue (make-color 0.12 0.56 1.00))
	(deep-sky-blue (make-color 0.00 0.75 1.00))
	(sky-blue (make-color 0.53 0.80 0.92))
	(light-sky-blue (make-color 0.53 0.80 0.98))
	(steel-blue (make-color 0.27 0.51 0.70))
	(light-steel-blue (make-color 0.69 0.77 0.87))
	(light-blue (make-color 0.68 0.84 0.90))
	(powder-blue (make-color 0.69 0.87 0.90))
	(pale-turquoise (make-color 0.68 0.93 0.93))
	(dark-turquoise (make-color 0.00 0.80 0.82))
	(medium-turquoise (make-color 0.28 0.82 0.80))
	(turquoise (make-color 0.25 0.87 0.81))
	(cyan (make-color 0.00 1.00 1.00))
	(light-cyan (make-color 0.87 1.00 1.00))
	(cadet-blue (make-color 0.37 0.62 0.62))
	(medium-aquamarine (make-color 0.40 0.80 0.66))
	(aquamarine (make-color 0.50 1.00 0.83))
	(dark-green (make-color 0.00 0.39 0.00))
	(dark-olive-green (make-color 0.33 0.42 0.18))
	(dark-sea-green (make-color 0.56 0.73 0.56))
	(sea-green (make-color 0.18 0.54 0.34))
	(medium-sea-green (make-color 0.23 0.70 0.44))
	(light-sea-green (make-color 0.12 0.70 0.66))
	(pale-green (make-color 0.59 0.98 0.59))
	(spring-green (make-color 0.00 1.00 0.50))
	(lawn-green (make-color 0.48 0.98 0.00))
	(green (make-color 0.00 1.00 0.00))
	(chartreuse (make-color 0.50 1.00 0.00))
	(medium-spring-green (make-color 0.00 0.98 0.60))
	(green-yellow (make-color 0.68 1.00 0.18))
	(lime-green (make-color 0.20 0.80 0.20))
	(yellow-green (make-color 0.60 0.80 0.20))
	(forest-green (make-color 0.13 0.54 0.13))
	(olive-drab (make-color 0.42 0.55 0.14))
	(dark-khaki (make-color 0.74 0.71 0.42))
	(khaki (make-color 0.94 0.90 0.55))
	(pale-goldenrod (make-color 0.93 0.91 0.66))
	(light-goldenrod-yellow (make-color 0.98 0.98 0.82))
	(light-yellow (make-color 1.00 1.00 0.87))
	(yellow (make-color 1.00 1.00 0.00))
	(gold (make-color 1.00 0.84 0.00))
	(light-goldenrod (make-color 0.93 0.86 0.51))
	(goldenrod (make-color 0.85 0.64 0.12))
	(dark-goldenrod (make-color 0.72 0.52 0.04))
	(rosy-brown (make-color 0.73 0.56 0.56))
	(indian-red (make-color 0.80 0.36 0.36))
	(saddle-brown (make-color 0.54 0.27 0.07))
	(sienna (make-color 0.62 0.32 0.18))
	(peru (make-color 0.80 0.52 0.25))
	(burlywood (make-color 0.87 0.72 0.53))
	(beige (make-color 0.96 0.96 0.86))
	(wheat (make-color 0.96 0.87 0.70))
	(sandy-brown (make-color 0.95 0.64 0.37))
	(tawny (make-color 0.82 0.70 0.55)) ; tan collides with Scheme built-in -- tawny suggested by Dave Phillips
	(chocolate (make-color 0.82 0.41 0.12))
	(firebrick (make-color 0.70 0.13 0.13))
	(brown (make-color 0.64 0.16 0.16))
	(dark-salmon (make-color 0.91 0.59 0.48))
	(salmon (make-color 0.98 0.50 0.45))
	(light-salmon (make-color 1.00 0.62 0.48))
	(orange (make-color 1.00 0.64 0.00))
	(dark-orange (make-color 1.00 0.55 0.00))
	(coral (make-color 1.00 0.50 0.31))
	(light-coral (make-color 0.94 0.50 0.50))
	(tomato (make-color 1.00 0.39 0.28))
	(orange-red (make-color 1.00 0.27 0.00))
	(red (make-color 1.00 0.00 0.00))
	(hot-pink (make-color 1.00 0.41 0.70))
	(deep-pink (make-color 1.00 0.08 0.57))
	(pink (make-color 1.00 0.75 0.79))
	(light-pink (make-color 1.00 0.71 0.75))
	(pale-violet-red (make-color 0.86 0.44 0.57))
	(maroon (make-color 0.69 0.19 0.37))
	(medium-violet-red (make-color 0.78 0.08 0.52))
	(violet-red (make-color 0.81 0.12 0.56))
	(magenta (make-color 1.00 0.00 1.00))
	(violet (make-color 0.93 0.51 0.93))
	(plum (make-color 0.86 0.62 0.86))
	(orchid (make-color 0.85 0.44 0.84))
	(medium-orchid (make-color 0.73 0.33 0.82))
	(dark-orchid (make-color 0.60 0.20 0.80))
	(dark-violet (make-color 0.58 0.00 0.82))
	(blue-violet (make-color 0.54 0.17 0.88))
	(purple (make-color 0.62 0.12 0.94))
	(medium-purple (make-color 0.57 0.44 0.86))
	(thistle (make-color 0.84 0.75 0.84))
	(snow1 (make-color 1.00 0.98 0.98))
	(snow2 (make-color 0.93 0.91 0.91))
	(snow3 (make-color 0.80 0.79 0.79))
	(snow4 (make-color 0.54 0.54 0.54))
	(seashell1 (make-color 1.00 0.96 0.93))
	(seashell2 (make-color 0.93 0.89 0.87))
	(seashell3 (make-color 0.80 0.77 0.75))
	(seashell4 (make-color 0.54 0.52 0.51))
	(antiquewhite1 (make-color 1.00 0.93 0.86))
	(antiquewhite2 (make-color 0.93 0.87 0.80))
	(antiquewhite3 (make-color 0.80 0.75 0.69))
	(antiquewhite4 (make-color 0.54 0.51 0.47))
	(bisque1 (make-color 1.00 0.89 0.77))
	(bisque2 (make-color 0.93 0.83 0.71))
	(bisque3 (make-color 0.80 0.71 0.62))
	(bisque4 (make-color 0.54 0.49 0.42))
	(peachpuff1 (make-color 1.00 0.85 0.72))
	(peachpuff2 (make-color 0.93 0.79 0.68))
	(peachpuff3 (make-color 0.80 0.68 0.58))
	(peachpuff4 (make-color 0.54 0.46 0.39))
	(navajowhite1 (make-color 1.00 0.87 0.68))
	(navajowhite2 (make-color 0.93 0.81 0.63))
	(navajowhite3 (make-color 0.80 0.70 0.54))
	(navajowhite4 (make-color 0.54 0.47 0.37))
	(lemonchiffon1 (make-color 1.00 0.98 0.80))
	(lemonchiffon2 (make-color 0.93 0.91 0.75))
	(lemonchiffon3 (make-color 0.80 0.79 0.64))
	(lemonchiffon4 (make-color 0.54 0.54 0.44))
	(cornsilk1 (make-color 1.00 0.97 0.86))
	(cornsilk2 (make-color 0.93 0.91 0.80))
	(cornsilk3 (make-color 0.80 0.78 0.69))
	(cornsilk4 (make-color 0.54 0.53 0.47))
	(ivory1 (make-color 1.00 1.00 0.94))
	(ivory2 (make-color 0.93 0.93 0.87))
	(ivory3 (make-color 0.80 0.80 0.75))
	(ivory4 (make-color 0.54 0.54 0.51))
	(honeydew1 (make-color 0.94 1.00 0.94))
	(honeydew2 (make-color 0.87 0.93 0.87))
	(honeydew3 (make-color 0.75 0.80 0.75))
	(honeydew4 (make-color 0.51 0.54 0.51))
	(lavenderblush1 (make-color 1.00 0.94 0.96))
	(lavenderblush2 (make-color 0.93 0.87 0.89))
	(lavenderblush3 (make-color 0.80 0.75 0.77))
	(lavenderblush4 (make-color 0.54 0.51 0.52))
	(mistyrose1 (make-color 1.00 0.89 0.88))
	(mistyrose2 (make-color 0.93 0.83 0.82))
	(mistyrose3 (make-color 0.80 0.71 0.71))
	(mistyrose4 (make-color 0.54 0.49 0.48))
	(azure1 (make-color 0.94 1.00 1.00))
	(azure2 (make-color 0.87 0.93 0.93))
	(azure3 (make-color 0.75 0.80 0.80))
	(azure4 (make-color 0.51 0.54 0.54))
	(slateblue1 (make-color 0.51 0.43 1.00))
	(slateblue2 (make-color 0.48 0.40 0.93))
	(slateblue3 (make-color 0.41 0.35 0.80))
	(slateblue4 (make-color 0.28 0.23 0.54))
	(royalblue1 (make-color 0.28 0.46 1.00))
	(royalblue2 (make-color 0.26 0.43 0.93))
	(royalblue3 (make-color 0.23 0.37 0.80))
	(royalblue4 (make-color 0.15 0.25 0.54))
	(blue1 (make-color 0.00 0.00 1.00))
	(blue2 (make-color 0.00 0.00 0.93))
	(blue3 (make-color 0.00 0.00 0.80))
	(blue4 (make-color 0.00 0.00 0.54))
	(dodgerblue1 (make-color 0.12 0.56 1.00))
	(dodgerblue2 (make-color 0.11 0.52 0.93))
	(dodgerblue3 (make-color 0.09 0.45 0.80))
	(dodgerblue4 (make-color 0.06 0.30 0.54))
	(steelblue1 (make-color 0.39 0.72 1.00))
	(steelblue2 (make-color 0.36 0.67 0.93))
	(steelblue3 (make-color 0.31 0.58 0.80))
	(steelblue4 (make-color 0.21 0.39 0.54))
	(deepskyblue1 (make-color 0.00 0.75 1.00))
	(deepskyblue2 (make-color 0.00 0.70 0.93))
	(deepskyblue3 (make-color 0.00 0.60 0.80))
	(deepskyblue4 (make-color 0.00 0.41 0.54))
	(skyblue1 (make-color 0.53 0.80 1.00))
	(skyblue2 (make-color 0.49 0.75 0.93))
	(skyblue3 (make-color 0.42 0.65 0.80))
	(skyblue4 (make-color 0.29 0.44 0.54))
	(lightskyblue1 (make-color 0.69 0.88 1.00))
	(lightskyblue2 (make-color 0.64 0.82 0.93))
	(lightskyblue3 (make-color 0.55 0.71 0.80))
	(lightskyblue4 (make-color 0.37 0.48 0.54))
	(slategray1 (make-color 0.77 0.88 1.00))
	(slategray2 (make-color 0.72 0.82 0.93))
	(slategray3 (make-color 0.62 0.71 0.80))
	(slategray4 (make-color 0.42 0.48 0.54))
	(lightsteelblue1 (make-color 0.79 0.88 1.00))
	(lightsteelblue2 (make-color 0.73 0.82 0.93))
	(lightsteelblue3 (make-color 0.63 0.71 0.80))
	(lightsteelblue4 (make-color 0.43 0.48 0.54))
	(lightblue1 (make-color 0.75 0.93 1.00))
	(lightblue2 (make-color 0.70 0.87 0.93))
	(lightblue3 (make-color 0.60 0.75 0.80))
	(lightblue4 (make-color 0.41 0.51 0.54))
	(lightcyan1 (make-color 0.87 1.00 1.00))
	(lightcyan2 (make-color 0.82 0.93 0.93))
	(lightcyan3 (make-color 0.70 0.80 0.80))
	(lightcyan4 (make-color 0.48 0.54 0.54))
	(paleturquoise1 (make-color 0.73 1.00 1.00))
	(paleturquoise2 (make-color 0.68 0.93 0.93))
	(paleturquoise3 (make-color 0.59 0.80 0.80))
	(paleturquoise4 (make-color 0.40 0.54 0.54))
	(cadetblue1 (make-color 0.59 0.96 1.00))
	(cadetblue2 (make-color 0.55 0.89 0.93))
	(cadetblue3 (make-color 0.48 0.77 0.80))
	(cadetblue4 (make-color 0.32 0.52 0.54))
	(turquoise1 (make-color 0.00 0.96 1.00))
	(turquoise2 (make-color 0.00 0.89 0.93))
	(turquoise3 (make-color 0.00 0.77 0.80))
	(turquoise4 (make-color 0.00 0.52 0.54))
	(cyan1 (make-color 0.00 1.00 1.00))
	(cyan2 (make-color 0.00 0.93 0.93))
	(cyan3 (make-color 0.00 0.80 0.80))
	(cyan4 (make-color 0.00 0.54 0.54))
	(darkslategray1 (make-color 0.59 1.00 1.00))
	(darkslategray2 (make-color 0.55 0.93 0.93))
	(darkslategray3 (make-color 0.47 0.80 0.80))
	(darkslategray4 (make-color 0.32 0.54 0.54))
	(aquamarine1 (make-color 0.50 1.00 0.83))
	(aquamarine2 (make-color 0.46 0.93 0.77))
	(aquamarine3 (make-color 0.40 0.80 0.66))
	(aquamarine4 (make-color 0.27 0.54 0.45))
	(darkseagreen1 (make-color 0.75 1.00 0.75))
	(darkseagreen2 (make-color 0.70 0.93 0.70))
	(darkseagreen3 (make-color 0.61 0.80 0.61))
	(darkseagreen4 (make-color 0.41 0.54 0.41))
	(seagreen1 (make-color 0.33 1.00 0.62))
	(seagreen2 (make-color 0.30 0.93 0.58))
	(seagreen3 (make-color 0.26 0.80 0.50))
	(seagreen4 (make-color 0.18 0.54 0.34))
	(palegreen1 (make-color 0.60 1.00 0.60))
	(palegreen2 (make-color 0.56 0.93 0.56))
	(palegreen3 (make-color 0.48 0.80 0.48))
	(palegreen4 (make-color 0.33 0.54 0.33))
	(springgreen1 (make-color 0.00 1.00 0.50))
	(springgreen2 (make-color 0.00 0.93 0.46))
	(springgreen3 (make-color 0.00 0.80 0.40))
	(springgreen4 (make-color 0.00 0.54 0.27))
	(green1 (make-color 0.00 1.00 0.00))
	(green2 (make-color 0.00 0.93 0.00))
	(green3 (make-color 0.00 0.80 0.00))
	(green4 (make-color 0.00 0.54 0.00))
	(chartreuse1 (make-color 0.50 1.00 0.00))
	(chartreuse2 (make-color 0.46 0.93 0.00))
	(chartreuse3 (make-color 0.40 0.80 0.00))
	(chartreuse4 (make-color 0.27 0.54 0.00))
	(olivedrab1 (make-color 0.75 1.00 0.24))
	(olivedrab2 (make-color 0.70 0.93 0.23))
	(olivedrab3 (make-color 0.60 0.80 0.20))
	(olivedrab4 (make-color 0.41 0.54 0.13))
	(darkolivegreen1 (make-color 0.79 1.00 0.44))
	(darkolivegreen2 (make-color 0.73 0.93 0.41))
	(darkolivegreen3 (make-color 0.63 0.80 0.35))
	(darkolivegreen4 (make-color 0.43 0.54 0.24))
	(khaki1 (make-color 1.00 0.96 0.56))
	(khaki2 (make-color 0.93 0.90 0.52))
	(khaki3 (make-color 0.80 0.77 0.45))
	(khaki4 (make-color 0.54 0.52 0.30))
	(lightgoldenrod1 (make-color 1.00 0.92 0.54))
	(lightgoldenrod2 (make-color 0.93 0.86 0.51))
	(lightgoldenrod3 (make-color 0.80 0.74 0.44))
	(lightgoldenrod4 (make-color 0.54 0.50 0.30))
	(lightyellow1 (make-color 1.00 1.00 0.87))
	(lightyellow2 (make-color 0.93 0.93 0.82))
	(lightyellow3 (make-color 0.80 0.80 0.70))
	(lightyellow4 (make-color 0.54 0.54 0.48))
	(yellow1 (make-color 1.00 1.00 0.00))
	(yellow2 (make-color 0.93 0.93 0.00))
	(yellow3 (make-color 0.80 0.80 0.00))
	(yellow4 (make-color 0.54 0.54 0.00))
	(gold1 (make-color 1.00 0.84 0.00))
	(gold2 (make-color 0.93 0.79 0.00))
	(gold3 (make-color 0.80 0.68 0.00))
	(gold4 (make-color 0.54 0.46 0.00))
	(goldenrod1 (make-color 1.00 0.75 0.14))
	(goldenrod2 (make-color 0.93 0.70 0.13))
	(goldenrod3 (make-color 0.80 0.61 0.11))
	(goldenrod4 (make-color 0.54 0.41 0.08))
	(darkgoldenrod1 (make-color 1.00 0.72 0.06))
	(darkgoldenrod2 (make-color 0.93 0.68 0.05))
	(darkgoldenrod3 (make-color 0.80 0.58 0.05))
	(darkgoldenrod4 (make-color 0.54 0.39 0.03))
	(rosybrown1 (make-color 1.00 0.75 0.75))
	(rosybrown2 (make-color 0.93 0.70 0.70))
	(rosybrown3 (make-color 0.80 0.61 0.61))
	(rosybrown4 (make-color 0.54 0.41 0.41))
	(indianred1 (make-color 1.00 0.41 0.41))
	(indianred2 (make-color 0.93 0.39 0.39))
	(indianred3 (make-color 0.80 0.33 0.33))
	(indianred4 (make-color 0.54 0.23 0.23))
	(sienna1 (make-color 1.00 0.51 0.28))
	(sienna2 (make-color 0.93 0.47 0.26))
	(sienna3 (make-color 0.80 0.41 0.22))
	(sienna4 (make-color 0.54 0.28 0.15))
	(burlywood1 (make-color 1.00 0.82 0.61))
	(burlywood2 (make-color 0.93 0.77 0.57))
	(burlywood3 (make-color 0.80 0.66 0.49))
	(burlywood4 (make-color 0.54 0.45 0.33))
	(wheat1 (make-color 1.00 0.90 0.73))
	(wheat2 (make-color 0.93 0.84 0.68))
	(wheat3 (make-color 0.80 0.73 0.59))
	(wheat4 (make-color 0.54 0.49 0.40))
	(tan1 (make-color 1.00 0.64 0.31))
	(tan2 (make-color 0.93 0.60 0.29))
	(tan3 (make-color 0.80 0.52 0.25))
	(tan4 (make-color 0.54 0.35 0.17))
	(chocolate1 (make-color 1.00 0.50 0.14))
	(chocolate2 (make-color 0.93 0.46 0.13))
	(chocolate3 (make-color 0.80 0.40 0.11))
	(chocolate4 (make-color 0.54 0.27 0.07))
	(firebrick1 (make-color 1.00 0.19 0.19))
	(firebrick2 (make-color 0.93 0.17 0.17))
	(firebrick3 (make-color 0.80 0.15 0.15))
	(firebrick4 (make-color 0.54 0.10 0.10))
	(brown1 (make-color 1.00 0.25 0.25))
	(brown2 (make-color 0.93 0.23 0.23))
	(brown3 (make-color 0.80 0.20 0.20))
	(brown4 (make-color 0.54 0.14 0.14))
	(salmon1 (make-color 1.00 0.55 0.41))
	(salmon2 (make-color 0.93 0.51 0.38))
	(salmon3 (make-color 0.80 0.44 0.33))
	(salmon4 (make-color 0.54 0.30 0.22))
	(lightsalmon1 (make-color 1.00 0.62 0.48))
	(lightsalmon2 (make-color 0.93 0.58 0.45))
	(lightsalmon3 (make-color 0.80 0.50 0.38))
	(lightsalmon4 (make-color 0.54 0.34 0.26))
	(orange1 (make-color 1.00 0.64 0.00))
	(orange2 (make-color 0.93 0.60 0.00))
	(orange3 (make-color 0.80 0.52 0.00))
	(orange4 (make-color 0.54 0.35 0.00))
	(darkorange1 (make-color 1.00 0.50 0.00))
	(darkorange2 (make-color 0.93 0.46 0.00))
	(darkorange3 (make-color 0.80 0.40 0.00))
	(darkorange4 (make-color 0.54 0.27 0.00))
	(coral1 (make-color 1.00 0.45 0.34))
	(coral2 (make-color 0.93 0.41 0.31))
	(coral3 (make-color 0.80 0.36 0.27))
	(coral4 (make-color 0.54 0.24 0.18))
	(tomato1 (make-color 1.00 0.39 0.28))
	(tomato2 (make-color 0.93 0.36 0.26))
	(tomato3 (make-color 0.80 0.31 0.22))
	(tomato4 (make-color 0.54 0.21 0.15))
	(orangered1 (make-color 1.00 0.27 0.00))
	(orangered2 (make-color 0.93 0.25 0.00))
	(orangered3 (make-color 0.80 0.21 0.00))
	(orangered4 (make-color 0.54 0.14 0.00))
	(red1 (make-color 1.00 0.00 0.00))
	(red2 (make-color 0.93 0.00 0.00))
	(red3 (make-color 0.80 0.00 0.00))
	(red4 (make-color 0.54 0.00 0.00))
	(deeppink1 (make-color 1.00 0.08 0.57))
	(deeppink2 (make-color 0.93 0.07 0.54))
	(deeppink3 (make-color 0.80 0.06 0.46))
	(deeppink4 (make-color 0.54 0.04 0.31))
	(hotpink1 (make-color 1.00 0.43 0.70))
	(hotpink2 (make-color 0.93 0.41 0.65))
	(hotpink3 (make-color 0.80 0.37 0.56))
	(hotpink4 (make-color 0.54 0.23 0.38))
	(pink1 (make-color 1.00 0.71 0.77))
	(pink2 (make-color 0.93 0.66 0.72))
	(pink3 (make-color 0.80 0.57 0.62))
	(pink4 (make-color 0.54 0.39 0.42))
	(lightpink1 (make-color 1.00 0.68 0.72))
	(lightpink2 (make-color 0.93 0.63 0.68))
	(lightpink3 (make-color 0.80 0.55 0.58))
	(lightpink4 (make-color 0.54 0.37 0.39))
	(palevioletred1 (make-color 1.00 0.51 0.67))
	(palevioletred2 (make-color 0.93 0.47 0.62))
	(palevioletred3 (make-color 0.80 0.41 0.54))
	(palevioletred4 (make-color 0.54 0.28 0.36))
	(maroon1 (make-color 1.00 0.20 0.70))
	(maroon2 (make-color 0.93 0.19 0.65))
	(maroon3 (make-color 0.80 0.16 0.56))
	(maroon4 (make-color 0.54 0.11 0.38))
	(violetred1 (make-color 1.00 0.24 0.59))
	(violetred2 (make-color 0.93 0.23 0.55))
	(violetred3 (make-color 0.80 0.20 0.47))
	(violetred4 (make-color 0.54 0.13 0.32))
	(magenta1 (make-color 1.00 0.00 1.00))
	(magenta2 (make-color 0.93 0.00 0.93))
	(magenta3 (make-color 0.80 0.00 0.80))
	(magenta4 (make-color 0.54 0.00 0.54))
	(orchid1 (make-color 1.00 0.51 0.98))
	(orchid2 (make-color 0.93 0.48 0.91))
	(orchid3 (make-color 0.80 0.41 0.79))
	(orchid4 (make-color 0.54 0.28 0.54))
	(plum1 (make-color 1.00 0.73 1.00))
	(plum2 (make-color 0.93 0.68 0.93))
	(plum3 (make-color 0.80 0.59 0.80))
	(plum4 (make-color 0.54 0.40 0.54))
	(mediumorchid1 (make-color 0.87 0.40 1.00))
	(mediumorchid2 (make-color 0.82 0.37 0.93))
	(mediumorchid3 (make-color 0.70 0.32 0.80))
	(mediumorchid4 (make-color 0.48 0.21 0.54))
	(darkorchid1 (make-color 0.75 0.24 1.00))
	(darkorchid2 (make-color 0.70 0.23 0.93))
	(darkorchid3 (make-color 0.60 0.20 0.80))
	(darkorchid4 (make-color 0.41 0.13 0.54))
	(purple1 (make-color 0.61 0.19 1.00))
	(purple2 (make-color 0.57 0.17 0.93))
	(purple3 (make-color 0.49 0.15 0.80))
	(purple4 (make-color 0.33 0.10 0.54))
	(mediumpurple1 (make-color 0.67 0.51 1.00))
	(mediumpurple2 (make-color 0.62 0.47 0.93))
	(mediumpurple3 (make-color 0.54 0.41 0.80))
	(mediumpurple4 (make-color 0.36 0.28 0.54))
	(thistle1 (make-color 1.00 0.88 1.00))
	(thistle2 (make-color 0.93 0.82 0.93))
	(thistle3 (make-color 0.80 0.71 0.80))
	(thistle4 (make-color 0.54 0.48 0.54))
	(gray0 (make-color 0.00 0.00 0.00))
	(grey0 (make-color 0.00 0.00 0.00))
	(gray1 (make-color 0.01 0.01 0.01))
	(grey1 (make-color 0.01 0.01 0.01))
	(gray2 (make-color 0.02 0.02 0.02))
	(grey2 (make-color 0.02 0.02 0.02))
	(gray3 (make-color 0.03 0.03 0.03))
	(grey3 (make-color 0.03 0.03 0.03))
	(gray4 (make-color 0.04 0.04 0.04))
	(grey4 (make-color 0.04 0.04 0.04))
	(gray5 (make-color 0.05 0.05 0.05))
	(grey5 (make-color 0.05 0.05 0.05))
	(gray6 (make-color 0.06 0.06 0.06))
	(grey6 (make-color 0.06 0.06 0.06))
	(gray7 (make-color 0.07 0.07 0.07))
	(grey7 (make-color 0.07 0.07 0.07))
	(gray8 (make-color 0.08 0.08 0.08))
	(grey8 (make-color 0.08 0.08 0.08))
	(gray9 (make-color 0.09 0.09 0.09))
	(grey9 (make-color 0.09 0.09 0.09))
	(gray10 (make-color 0.10 0.10 0.10))
	(grey10 (make-color 0.10 0.10 0.10))
	(gray11 (make-color 0.11 0.11 0.11))
	(grey11 (make-color 0.11 0.11 0.11))
	(gray12 (make-color 0.12 0.12 0.12))
	(grey12 (make-color 0.12 0.12 0.12))
	(gray13 (make-color 0.13 0.13 0.13))
	(grey13 (make-color 0.13 0.13 0.13))
	(gray14 (make-color 0.14 0.14 0.14))
	(grey14 (make-color 0.14 0.14 0.14))
	(gray15 (make-color 0.15 0.15 0.15))
	(grey15 (make-color 0.15 0.15 0.15))
	(gray16 (make-color 0.16 0.16 0.16))
	(grey16 (make-color 0.16 0.16 0.16))
	(gray17 (make-color 0.17 0.17 0.17))
	(grey17 (make-color 0.17 0.17 0.17))
	(gray18 (make-color 0.18 0.18 0.18))
	(grey18 (make-color 0.18 0.18 0.18))
	(gray19 (make-color 0.19 0.19 0.19))
	(grey19 (make-color 0.19 0.19 0.19))
	(gray20 (make-color 0.20 0.20 0.20))
	(grey20 (make-color 0.20 0.20 0.20))
	(gray21 (make-color 0.21 0.21 0.21))
	(grey21 (make-color 0.21 0.21 0.21))
	(gray22 (make-color 0.22 0.22 0.22))
	(grey22 (make-color 0.22 0.22 0.22))
	(gray23 (make-color 0.23 0.23 0.23))
	(grey23 (make-color 0.23 0.23 0.23))
	(gray24 (make-color 0.24 0.24 0.24))
	(grey24 (make-color 0.24 0.24 0.24))
	(gray25 (make-color 0.25 0.25 0.25))
	(grey25 (make-color 0.25 0.25 0.25))
	(gray26 (make-color 0.26 0.26 0.26))
	(grey26 (make-color 0.26 0.26 0.26))
	(gray27 (make-color 0.27 0.27 0.27))
	(grey27 (make-color 0.27 0.27 0.27))
	(gray28 (make-color 0.28 0.28 0.28))
	(grey28 (make-color 0.28 0.28 0.28))
	(gray29 (make-color 0.29 0.29 0.29))
	(grey29 (make-color 0.29 0.29 0.29))
	(gray30 (make-color 0.30 0.30 0.30))
	(grey30 (make-color 0.30 0.30 0.30))
	(gray31 (make-color 0.31 0.31 0.31))
	(grey31 (make-color 0.31 0.31 0.31))
	(gray32 (make-color 0.32 0.32 0.32))
	(grey32 (make-color 0.32 0.32 0.32))
	(gray33 (make-color 0.33 0.33 0.33))
	(grey33 (make-color 0.33 0.33 0.33))
	(gray34 (make-color 0.34 0.34 0.34))
	(grey34 (make-color 0.34 0.34 0.34))
	(gray35 (make-color 0.35 0.35 0.35))
	(grey35 (make-color 0.35 0.35 0.35))
	(gray36 (make-color 0.36 0.36 0.36))
	(grey36 (make-color 0.36 0.36 0.36))
	(gray37 (make-color 0.37 0.37 0.37))
	(grey37 (make-color 0.37 0.37 0.37))
	(gray38 (make-color 0.38 0.38 0.38))
	(grey38 (make-color 0.38 0.38 0.38))
	(gray39 (make-color 0.39 0.39 0.39))
	(grey39 (make-color 0.39 0.39 0.39))
	(gray40 (make-color 0.40 0.40 0.40))
	(grey40 (make-color 0.40 0.40 0.40))
	(gray41 (make-color 0.41 0.41 0.41))
	(grey41 (make-color 0.41 0.41 0.41))
	(gray42 (make-color 0.42 0.42 0.42))
	(grey42 (make-color 0.42 0.42 0.42))
	(gray43 (make-color 0.43 0.43 0.43))
	(grey43 (make-color 0.43 0.43 0.43))
	(gray44 (make-color 0.44 0.44 0.44))
	(grey44 (make-color 0.44 0.44 0.44))
	(gray45 (make-color 0.45 0.45 0.45))
	(grey45 (make-color 0.45 0.45 0.45))
	(gray46 (make-color 0.46 0.46 0.46))
	(grey46 (make-color 0.46 0.46 0.46))
	(gray47 (make-color 0.47 0.47 0.47))
	(grey47 (make-color 0.47 0.47 0.47))
	(gray48 (make-color 0.48 0.48 0.48))
	(grey48 (make-color 0.48 0.48 0.48))
	(gray49 (make-color 0.49 0.49 0.49))
	(grey49 (make-color 0.49 0.49 0.49))
	(gray50 (make-color 0.50 0.50 0.50))
	(grey50 (make-color 0.50 0.50 0.50))
	(gray51 (make-color 0.51 0.51 0.51))
	(grey51 (make-color 0.51 0.51 0.51))
	(gray52 (make-color 0.52 0.52 0.52))
	(grey52 (make-color 0.52 0.52 0.52))
	(gray53 (make-color 0.53 0.53 0.53))
	(grey53 (make-color 0.53 0.53 0.53))
	(gray54 (make-color 0.54 0.54 0.54))
	(grey54 (make-color 0.54 0.54 0.54))
	(gray55 (make-color 0.55 0.55 0.55))
	(grey55 (make-color 0.55 0.55 0.55))
	(gray56 (make-color 0.56 0.56 0.56))
	(grey56 (make-color 0.56 0.56 0.56))
	(gray57 (make-color 0.57 0.57 0.57))
	(grey57 (make-color 0.57 0.57 0.57))
	(gray58 (make-color 0.58 0.58 0.58))
	(grey58 (make-color 0.58 0.58 0.58))
	(gray59 (make-color 0.59 0.59 0.59))
	(grey59 (make-color 0.59 0.59 0.59))
	(gray60 (make-color 0.60 0.60 0.60))
	(grey60 (make-color 0.60 0.60 0.60))
	(gray61 (make-color 0.61 0.61 0.61))
	(grey61 (make-color 0.61 0.61 0.61))
	(gray62 (make-color 0.62 0.62 0.62))
	(grey62 (make-color 0.62 0.62 0.62))
	(gray63 (make-color 0.63 0.63 0.63))
	(grey63 (make-color 0.63 0.63 0.63))
	(gray64 (make-color 0.64 0.64 0.64))
	(grey64 (make-color 0.64 0.64 0.64))
	(gray65 (make-color 0.65 0.65 0.65))
	(grey65 (make-color 0.65 0.65 0.65))
	(gray66 (make-color 0.66 0.66 0.66))
	(grey66 (make-color 0.66 0.66 0.66))
	(gray67 (make-color 0.67 0.67 0.67))
	(grey67 (make-color 0.67 0.67 0.67))
	(gray68 (make-color 0.68 0.68 0.68))
	(grey68 (make-color 0.68 0.68 0.68))
	(gray69 (make-color 0.69 0.69 0.69))
	(grey69 (make-color 0.69 0.69 0.69))
	(gray70 (make-color 0.70 0.70 0.70))
	(grey70 (make-color 0.70 0.70 0.70))
	(gray71 (make-color 0.71 0.71 0.71))
	(grey71 (make-color 0.71 0.71 0.71))
	(gray72 (make-color 0.72 0.72 0.72))
	(grey72 (make-color 0.72 0.72 0.72))
	(gray73 (make-color 0.73 0.73 0.73))
	(grey73 (make-color 0.73 0.73 0.73))
	(gray74 (make-color 0.74 0.74 0.74))
	(grey74 (make-color 0.74 0.74 0.74))
	(gray75 (make-color 0.75 0.75 0.75))
	(grey75 (make-color 0.75 0.75 0.75))
	(gray76 (make-color 0.76 0.76 0.76))
	(grey76 (make-color 0.76 0.76 0.76))
	(gray77 (make-color 0.77 0.77 0.77))
	(grey77 (make-color 0.77 0.77 0.77))
	(gray78 (make-color 0.78 0.78 0.78))
	(grey78 (make-color 0.78 0.78 0.78))
	(gray79 (make-color 0.79 0.79 0.79))
	(grey79 (make-color 0.79 0.79 0.79))
	(gray80 (make-color 0.80 0.80 0.80))
	(grey80 (make-color 0.80 0.80 0.80))
	(gray81 (make-color 0.81 0.81 0.81))
	(grey81 (make-color 0.81 0.81 0.81))
	(gray82 (make-color 0.82 0.82 0.82))
	(grey82 (make-color 0.82 0.82 0.82))
	(gray83 (make-color 0.83 0.83 0.83))
	(grey83 (make-color 0.83 0.83 0.83))
	(gray84 (make-color 0.84 0.84 0.84))
	(grey84 (make-color 0.84 0.84 0.84))
	(gray85 (make-color 0.85 0.85 0.85))
	(grey85 (make-color 0.85 0.85 0.85))
	(gray86 (make-color 0.86 0.86 0.86))
	(grey86 (make-color 0.86 0.86 0.86))
	(gray87 (make-color 0.87 0.87 0.87))
	(grey87 (make-color 0.87 0.87 0.87))
	(gray88 (make-color 0.87 0.87 0.87))
	(grey88 (make-color 0.87 0.87 0.87))
	(gray89 (make-color 0.89 0.89 0.89))
	(grey89 (make-color 0.89 0.89 0.89))
	(gray90 (make-color 0.89 0.89 0.89))
	(grey90 (make-color 0.89 0.89 0.89))
	(gray91 (make-color 0.91 0.91 0.91))
	(grey91 (make-color 0.91 0.91 0.91))
	(gray92 (make-color 0.92 0.92 0.92))
	(grey92 (make-color 0.92 0.92 0.92))
	(gray93 (make-color 0.93 0.93 0.93))
	(grey93 (make-color 0.93 0.93 0.93))
	(gray94 (make-color 0.94 0.94 0.94))
	(grey94 (make-color 0.94 0.94 0.94))
	(gray95 (make-color 0.95 0.95 0.95))
	(grey95 (make-color 0.95 0.95 0.95))
	(gray96 (make-color 0.96 0.96 0.96))
	(grey96 (make-color 0.96 0.96 0.96))
	(gray97 (make-color 0.96 0.96 0.96))
	(grey97 (make-color 0.96 0.96 0.96))
	(gray98 (make-color 0.98 0.98 0.98))
	(grey98 (make-color 0.98 0.98 0.98))
	(gray99 (make-color 0.98 0.98 0.98))
	(grey99 (make-color 0.98 0.98 0.98))
	(gray100 (make-color 1.00 1.00 1.00))
	(grey100 (make-color 1.00 1.00 1.00))
	(dark-grey (make-color 0.66 0.66 0.66))
	(dark-gray (make-color 0.66 0.66 0.66))
	(dark-blue (make-color 0.00 0.00 0.54))
	(dark-cyan (make-color 0.00 0.54 0.54))
	(dark-magenta (make-color 0.54 0.00 0.54))
	(dark-red (make-color 0.54 0.00 0.00))
	(light-green (make-color 0.56 0.93 0.56)))
    (curlet)))
